#!/usr/bin/env python
import string, glob, os, sys
doc="""
------------------- LineshapeKin Simulation  -----------------------------
Converter of input parameters into Matlab-readable format.
 version 1.1 

5/11/09
LineShapeKin Simulation
Copyright (C) 2009 Evgenii Kovrigin
All Rights Reserved

This program reads the plain-text files for model setup and generates 
text files easy to import by Matlab

Usage:   convert_input_parameters.py  setup_file.txt

            - setup_file.txt contains plain text parameters
              as a keyword in the first column and the values 
              next. 
              
              Any line beginning with a comment mark (#) is ignored.
              
              The program makes plain-text files named as
              keyword.txt containing number of values and a column
              of values.
              

"""


#================= SAVE_PARAMETER ========================
def save_parameter(folder,parameter_name,parameter_value_list):
  'Saves a list of parameter values in a file folder/parameter_name.txt'

  # create folder if does not exist
  if not os.path.isdir(folder):
    os.mkdir(folder)

  # open file
  fid=open(os.path.join(folder, parameter_name+'.txt'),'w')

  # save number of values
  fid.write('%d\n'%len(parameter_value_list))
  
  # save parameter value list
  for item in parameter_value_list:
     fid.write('%s\n'%item)
     
  fid.close()
#===========================================================
  
  
  
if len(sys.argv)!=2:
   print doc
   sys.exit()
   
   

# open file
fid=open(sys.argv[1],'r')
raw_text=map(string.split,fid.readlines())



# convert all values found in the file
for line in raw_text:
   # drop empty lines
   if not line: continue

   key=line[0]
   
   
   # skip comments
   if string.strip(key)[0]=='#':
       continue
       
       
       
   value=line[1:]
   save_parameter('temp',key,value)


