%------------------- LineShapeKin SETUP -----------------------------
%-- version 3.1 
%
% 3/11/08
% Written by Evgenii Kovrigin, Medical College of Wisconsin
%
% 3/29/08 - data localization changed

global   YES NO ;

%% Read definitions of the fitting model from this file
model_setup;

% Define enzyme concentration at each titration point. If your addition of
% ligand did not change volume - use the same number for all points
Ptotal = [    1e-3  1e-3  1e-3  1e-3  1e-3  1e-3  1e-3  1e-3  1e-3  1e-3  1e-3  1e-3  1e-3 ];
    


% Total Ligand/Protein ratio at each titration point
LPratio = [     1e-3 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9  1.0  1.1 1.2 ];




%-- Temperatures (only used with temperature-dependent model. Otherwise -
%     ignored.
T =  ones(1,length(Ptotal)) *298;



% NOTE: If you need to exclude any points for a SPECIFIC residue from
% fitting (due to overlap) - edit  'titration_points.txt' file in the
% residue data folder. 


%--- Path do Sparky data folder
Sparky_data_path='../';

%--- Folder where to save results
results_path='results'; 

%-- Enter here a list of residues to use ----

% -- cut-and-paste them from  Data_for_Matlab/matlab.peaklist ---
resnames =   {  'LineShapeKin_3'};







%% Mode of operation : 

%project_name='simulation';  %-- calculate titration profile using provided R2 and w0 values

%project_name='just display data'; %- only do normalization and plotting of raw data

project_name= 'single'; %- lets you fit just one of them
                                        %           in this case set residue_number=... desired number
                                        %           in all other cases this variable is disregarded
residue_number=1   ; %--- particular residue in 'resnames' to look at
                    %  (read only in 'simulation',  'single' or 'just display data' mode) 

                                        
                                        
                                        
%project_name= 'individual' ; %- fit all of them individually to individual Koffs 

%project_name= 'global';%- fit all of them to one Koff







% -- Normalization by total integral of the trace: 
%           It requires that peak tails go down to baseline ON BOTH SIDES,
%           otherwise incorrect results will be obtained: first and last points of the trace are taken as 
%           constant baseline estimate to subtract baseline.
Normalization='integration' ; 

%Integration_mode='rectangular';   %-- integration by rectangular formula
%Integration_mode='simpson';   %-- integration by Simpson's formula NOTE:
Integration_mode='uneven_step';   %-- integration by Simpson's formula NOTE:





% 2. ---- Baseline correction ---  
%  Use ONLY when your peak falls off to the noise floor AT LEAST on one
%  side
%Baseline_Correction=YES; 
Baseline_Correction=NO;

% 3. --- starting line width in fitting of initial raw data for
%           determination of positions and relaxation rates of end points
Line_Width_0=50;

% -- Plotting option for fitting or simulation results
Stacked_Plot=NO;   %--- YES  to display the titration series stacked rather than overlayed
Percent_Shift=15 ;   %-- percentage of the peak height for shifting next trace up. Applicable 
                                %    if  Stacked_Plot=YES



% 5. -- Before starting, make sure that Matlab knows where the code is:
%   use File : Set Path and Add Folder 



% 6. ---- NOW YOU ARE READY. TYPE IN 'main' AT A MATLAB COMMAND LINE -----

