function Rtot = U_R_RL_RM_RLM_model_numeric(params, constants )
%------------------- LineshapeKin Simulation -----------------------------
% Function for numeric solving of equilibrium thermodynamic equations
%
% 5/12/09
% Evgenii Kovrigin
% Medical College of Wisconsin
%
% U_R_RL_RM_RLM model developed in 
% [ek_mac]: /Users/kovrigin/Documents/Workspace/Data/Data.XV/
% EKM16.Analysis_of_multistep_kinetic_mechanisms/Equilibria/U_R_RL_RM_RLM_derivation.mn 
 

%--- this is what I need for K-matrix
Leq=params(1);


%-- these are constants named as used in the equation below
K_A_1=constants( 1 );
K_A_3=constants( 2 );
K_A_5=constants( 3 );
K_B_1=constants( 4 );
K_B_2=constants( 5 );
K_B_3=constants( 6 );
K_B_4=constants( 7 );
Ltot=constants(  8 );
Mtot=constants( 9 );


%-- equation  3.13
% Please, fill yourself to the brim with deep respect to MuPad used in deriving this equation. This lines is about 6000 characters!


Rtot = - (Leq - Ltot)/(K_A_1*Leq + K_A_1*K_B_2*Leq + (K_A_1*K_A_5*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq) + (K_A_1*K_A_5*K_B_4*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq)) - (K_B_1*(Leq - Ltot))/(K_A_1*Leq + K_A_1*K_B_2*Leq + (K_A_1*K_A_5*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq) + (K_A_1*K_A_5*K_B_4*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq)) - (K_A_1*Leq*(Leq - Ltot))/(K_A_1*Leq + K_A_1*K_B_2*Leq + (K_A_1*K_A_5*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq) + (K_A_1*K_A_5*K_B_4*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq)) - (K_A_3*(Leq - Ltot)*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/((2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq)*(K_A_1*Leq + K_A_1*K_B_2*Leq + (K_A_1*K_A_5*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq) + (K_A_1*K_A_5*K_B_4*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq))) - (K_A_1*K_B_2*Leq*(Leq - Ltot))/(K_A_1*Leq + K_A_1*K_B_2*Leq + (K_A_1*K_A_5*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq) + (K_A_1*K_A_5*K_B_4*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq)) - (K_A_3*K_B_3*(Leq - Ltot)*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/((2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq)*(K_A_1*Leq + K_A_1*K_B_2*Leq + (K_A_1*K_A_5*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq) + (K_A_1*K_A_5*K_B_4*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq))) - (K_A_1*K_A_5*Leq*(Leq - Ltot)*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/((2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq)*(K_A_1*Leq + K_A_1*K_B_2*Leq + (K_A_1*K_A_5*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq) + (K_A_1*K_A_5*K_B_4*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq))) - (K_A_1*K_A_5*K_B_4*Leq*(Leq - Ltot)*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/((2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq)*(K_A_1*Leq + K_A_1*K_B_2*Leq + (K_A_1*K_A_5*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq) + (K_A_1*K_A_5*K_B_4*Leq*((K_A_1^2*K_A_5^2*K_B_4^2*Leq^4 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*K_B_4^2*Leq^2*Mtot^2 + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^4 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Ltot + 4*K_A_1^2*K_A_5^2*K_B_4*Leq^3*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot^2 - 4*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Ltot*Mtot + 2*K_A_1^2*K_A_5^2*K_B_4*Leq^2*Mtot^2 + K_A_1^2*K_A_5^2*Leq^4 - 2*K_A_1^2*K_A_5^2*Leq^3*Ltot + 2*K_A_1^2*K_A_5^2*Leq^3*Mtot + K_A_1^2*K_A_5^2*Leq^2*Ltot^2 - 2*K_A_1^2*K_A_5^2*Leq^2*Ltot*Mtot + K_A_1^2*K_A_5^2*Leq^2*Mtot^2 - 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_2*Leq^3 + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_2*Leq^2*Mtot - 2*K_A_1^2*K_A_5*K_B_4*Leq^3 + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1^2*K_A_5*K_B_4*Leq^2*Mtot - 2*K_A_1^2*K_A_5*Leq^3 + 2*K_A_1^2*K_A_5*Leq^2*Ltot + 2*K_A_1^2*K_A_5*Leq^2*Mtot + K_A_1^2*K_B_2^2*Leq^2 + 2*K_A_1^2*K_B_2*Leq^2 + K_A_1^2*Leq^2 + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_3*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^3 - 4*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*K_B_4*Leq*Ltot*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq^3 - 4*K_A_1*K_A_3*K_A_5*Leq^2*Ltot + 2*K_A_1*K_A_3*K_A_5*Leq^2*Mtot + 2*K_A_1*K_A_3*K_A_5*Leq*Ltot^2 - 2*K_A_1*K_A_3*K_A_5*Leq*Ltot*Mtot - 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_2*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*K_B_2*Leq^2 + 2*K_A_1*K_A_3*K_B_2*Leq*Ltot - 2*K_A_1*K_A_3*K_B_3*Leq^2 + 2*K_A_1*K_A_3*K_B_3*Leq*Ltot - 2*K_A_1*K_A_3*Leq^2 + 2*K_A_1*K_A_3*Leq*Ltot + K_A_3^2*K_B_3^2*Leq^2 - 2*K_A_3^2*K_B_3^2*Leq*Ltot + K_A_3^2*K_B_3^2*Ltot^2 + 2*K_A_3^2*K_B_3*Leq^2 - 4*K_A_3^2*K_B_3*Leq*Ltot + 2*K_A_3^2*K_B_3*Ltot^2 + K_A_3^2*Leq^2 - 2*K_A_3^2*Leq*Ltot + K_A_3^2*Ltot^2)^(1/2) - K_A_1*Leq + K_A_3*Leq - K_A_3*Ltot - K_A_1*K_B_2*Leq + K_A_3*K_B_3*Leq - K_A_3*K_B_3*Ltot + K_A_1*K_A_5*Leq^2 - K_A_1*K_A_5*Leq*Ltot + K_A_1*K_A_5*Leq*Mtot + K_A_1*K_A_5*K_B_4*Leq^2 - K_A_1*K_A_5*K_B_4*Leq*Ltot + K_A_1*K_A_5*K_B_4*Leq*Mtot))/(2*K_A_1*K_A_5*Leq + 2*K_A_1*K_A_5*K_B_4*Leq)));












